diff --git abiword/abiword.spec abiword/abiword.spec.tmp
index d91325b248..f9d53e26ae 100644
--- abiword/abiword.spec
+++ abiword/abiword.spec.tmp
@@ -6,7 +6,7 @@
 Summary: Word processing program
 Name: abiword
 Version: %{majorversion}.%{minorversion}.%{microversion}
-Release: 7%{?dist}
+Release: 8%{?dist}
 Epoch: 1
 Group: Applications/Editors
 License: GPLv2+
@@ -89,14 +89,15 @@ Requires: libabiword = %{epoch}:%{version}-%{release}
 Includes and definitions for developing with libabiword.
 
 
-%package -n python-abiword
+%package -n python2-abiword
+%{?python_provide:%python_provide python2-abiword}
 Summary: Python bindings for developing with libabiword
 Group: Development/Libraries
 Requires: libabiword = %{epoch}:%{version}-%{release}
 Obsoletes: pyabiword <= 0.8.0
 Provides: pyabiword > 0.8.0
 
-%description -n python-abiword
+%description -n python2-abiword
 Python bindings for developing with libabiword
 
 
@@ -244,10 +245,14 @@ fi
 %{_libdir}/pkgconfig/%{name}-%{majorversion}.%{minorversion}.pc
 %{_datadir}/gir-1.0/Abi-3.0.gir
 
-%files -n python-abiword
+%files -n python2-abiword
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:3.0.2-8
+- Python 2 subpackage renamed to python2-abiword
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git abrt/abrt.spec abrt/abrt.spec.tmp
index 95dbf35031..0bb21a4211 100644
--- abrt/abrt.spec
+++ abrt/abrt.spec.tmp
@@ -60,7 +60,7 @@
 Summary: Automatic bug detection and reporting tool
 Name: abrt
 Version: 2.10.3
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: GPLv2+
 Group: Applications/System
 URL: https://abrt.readthedocs.org/
@@ -452,7 +452,10 @@ ABRT DBus service which provides org.freedesktop.problems API on dbus and
 uses PolicyKit to authorize to access the problem data.
 
 
-%package python
+%package -n python2-abrt
+%{?python_provide:%python_provide python2-abrt}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: ABRT Python API
 Group: System Environment/Libraries
 Requires: %{name} = %{version}-%{release}
@@ -464,7 +467,7 @@ BuildRequires: python-nose
 BuildRequires: python-sphinx
 BuildRequires: libreport-python
 
-%description python
+%description -n python2-abrt
 High-level API for querying, creating and manipulating
 problems handled by ABRT in Python.
 
@@ -1127,7 +1130,7 @@ killall abrt-dbus >/dev/null 2>&1 || :
 %{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/*.css
 %config(noreplace) %{_sysconfdir}/libreport/events.d/abrt_dbus_event.conf
 
-%files python
+%files -n python2-abrt
 %{python_sitearch}/problem/
 %{_mandir}/man5/abrt-python.5*
 
@@ -1145,6 +1148,10 @@ killall abrt-dbus >/dev/null 2>&1 || :
 %config(noreplace) %{_sysconfdir}/profile.d/abrt-console-notification.sh
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.10.3-3
+- Python 2 subpackage renamed to python2-abrt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.3-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git atomic-reactor/atomic-reactor.spec atomic-reactor/atomic-reactor.spec.tmp
index fde1f5db70..ee4c18f824 100644
--- atomic-reactor/atomic-reactor.spec
+++ atomic-reactor/atomic-reactor.spec.tmp
@@ -32,7 +32,7 @@
 
 Name:           %{project}
 Version:        1.6.23.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 
 Summary:        Improved builder for Docker images
 Group:          Development/Tools
@@ -98,7 +98,8 @@ probably implement if you started hooking Docker into your
 infrastructure.
 
 
-%package -n python-atomic-reactor
+%package -n python2-atomic-reactor
+%{?python_provide:%python_provide python2-atomic-reactor}
 Summary:        Python 2 Atomic Reactor library
 Group:          Development/Tools
 License:        BSD
@@ -116,7 +117,7 @@ Provides:       python-dock = %{version}-%{release}
 Obsoletes:      python-dock < %{dock_obsolete_vr}
 %{?python_provide:%python_provide python-atomic-reactor}
 
-%description -n python-atomic-reactor
+%description -n python2-atomic-reactor
 Simple Python 2 library for building Docker images. It contains
 a lot of helpful functions which you would probably implement if
 you started hooking Docker into your infrastructure.
@@ -269,7 +270,7 @@ LANG=en_US.utf8 py.test-%{python2_version} -vv tests
 %license LICENSE
 %{_bindir}/atomic-reactor
 
-%files -n python-atomic-reactor
+%files -n python2-atomic-reactor
 %doc README.md
 %doc docs/*.md
 %{!?_licensedir:%global license %doc}
@@ -388,6 +389,10 @@ LANG=en_US.utf8 py.test-%{python2_version} -vv tests
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.23.2-3
+- Python 2 subpackage renamed to python2-atomic-reactor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.23.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ATpy/ATpy.spec ATpy/ATpy.spec.tmp
index 95fc767214..dd6055a902 100644
--- ATpy/ATpy.spec
+++ ATpy/ATpy.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: ATpy
 Version: 0.9.7
-Release: 12%{?dist}
+Release: 13%{?dist}
 Summary: Astronomical Tables in Python
 License: MIT
 
@@ -13,19 +13,29 @@ Source0: https://pypi.python.org/packages/source/A/ATpy/%{name}-%{version}.tar.g
 BuildArch: noarch
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
-Requires: numpy python-astropy
 
 %if 0%{?with_python3}
 BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 %endif # with_python3
 
-%description
-ATpy is a high-level Python package providing a way to manipulate tables of 
-astronomical data in a uniform way. It provides built-in support for NumPy
-recarrays and common astronomical file/database formats (FITS, VO, HDF5, 
+%global _description\
+ATpy is a high-level Python package providing a way to manipulate tables of\
+astronomical data in a uniform way. It provides built-in support for NumPy\
+recarrays and common astronomical file/database formats (FITS, VO, HDF5,\
 and ASCII tables) with a very simple API.
 
+%description %_description
+
+%package -n python2-atpy
+Summary: %summary
+Requires: numpy python-astropy
+%{?python_provide:%python_provide python2-atpy}
+# Remove before F30
+Provides: ATpy = %{version}-%{release}
+
+%description -n python2-atpy %_description
+
 %if 0%{?with_python3}
 %package -n python3-ATpy
 Summary: Astronomical Tables in Python
@@ -69,7 +79,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root  %{buildroot}
 
-%files
+%files -n python2-atpy
 %doc CHANGES LICENSE README.md
 %{python2_sitelib}/ATpy-*.egg-info
 %{python2_sitelib}/atpy
@@ -82,6 +92,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.7-13
+- Python 2 subpackage renamed to python2-atpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git beecrypt/beecrypt.spec beecrypt/beecrypt.spec.tmp
index 3066c79058..81977f0384 100644
--- beecrypt/beecrypt.spec
+++ beecrypt/beecrypt.spec.tmp
@@ -3,7 +3,7 @@
 Summary:	An open source cryptography library
 Name:		beecrypt
 Version:	4.2.1
-Release:	15%{?dist}
+Release:	16%{?dist}
 License:	LGPLv2+
 Group:		System Environment/Libraries
 URL:		http://beecrypt.sourceforge.net/
@@ -40,12 +40,15 @@ Group:		Documentation
 Beecrypt is a general-purpose cryptography library. This package contains
 API documentation for developing applications with beecrypt.
 
-%package python
+%package -n python2-beecrypt
+%{?python_provide:%python_provide python2-beecrypt}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Files needed for python applications using beecrypt
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-beecrypt
 Beecrypt is a general-purpose cryptography library. This package contains
 files needed for using python with beecrypt.
 
@@ -95,11 +98,15 @@ rm -rf $RPM_BUILD_ROOT
 %defattr(-,root,root,-)
 %doc docs/html
 
-%files python
+%files -n python2-beecrypt
 %defattr(-,root,root,-)
 %{python_sitelib}/_bc.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.2.1-16
+- Python 2 subpackage renamed to python2-beecrypt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git boost/boost.spec boost/boost.spec.tmp
index ba0f40ba71..a45453a1ca 100644
--- boost/boost.spec
+++ boost/boost.spec.tmp
@@ -35,7 +35,7 @@ Name: boost
 Summary: The free peer-reviewed portable C++ source libraries
 Version: 1.64.0
 %global version_enc 1_64_0
-Release: 0.5%{?dist}
+Release: 0.6%{?dist}
 License: Boost and MIT and Python
 
 %global toplev_dirname %{name}_%{version_enc}
@@ -332,11 +332,14 @@ Run-time support of boost program options library, which allows program
 developers to obtain (name, value) pairs from the user, via
 conventional methods such as command-line and configuration file.
 
-%package python
+%package -n python2-boost
+%{?python_provide:%python_provide python2-boost}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Run-time component of boost python library
 Group: System Environment/Libraries
 
-%description python
+%description -n python2-boost
 
 The Boost Python Library is a framework for interfacing Python and
 C++. It allows you to quickly and seamlessly expose C++ classes,
@@ -1185,9 +1188,9 @@ rm -f tmp-doc-directories
 
 %postun program-options -p /sbin/ldconfig
 
-%post python -p /sbin/ldconfig
+%post -n python2-boost -p /sbin/ldconfig
 
-%postun python -p /sbin/ldconfig
+%postun -n python2-boost -p /sbin/ldconfig
 
 %if %{with python3}
 %post python3 -p /sbin/ldconfig
@@ -1347,7 +1350,7 @@ fi
 %license LICENSE_1_0.txt
 %{_libdir}/libboost_program_options.so.%{sonamever}
 
-%files python
+%files -n python2-boost
 %license LICENSE_1_0.txt
 %{_libdir}/libboost_python.so.%{sonamever}
 
@@ -1546,6 +1549,10 @@ fi
 %{_mandir}/man1/bjam.1*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.64.0-0.6
+- Python 2 subpackage renamed to python2-boost
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.64.0-0.5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git brial/brial.spec brial/brial.spec.tmp
index 2f3626e6e0..a3200b0b0f 100644
--- brial/brial.spec
+++ brial/brial.spec.tmp
@@ -1,6 +1,6 @@
 Name:		brial
 Version:	0.8.5
-Release:	7%{?dist}
+Release:	8%{?dist}
 Summary:	Framework for Boolean Rings
 # The entire source code is GPLv2+ except the Cudd directory that is BSD
 License:	GPLv2+ and BSD
@@ -54,13 +54,14 @@ Provides:	polybori-devel = %{version}-%{release}
 %description	devel
 Development headers and libraries for %{name}.
 
-%package	-n python-%{name}
+%package	-n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:	Python interface to %{name}
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Obsoletes:	python-polybori <= %{version}-1
 Provides:	python-polybori = %{version}-%{release}
 
-%description	-n python-%{name}
+%description	-n python2-%{name}
 Python interface to %{name}.
 
 %prep
@@ -97,10 +98,14 @@ rm %{buildroot}%{_libdir}/*.la
 %{_includedir}/polybori/
 %{_libdir}/lib%{name}*.so
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitelib}/%{name}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.5-8
+- Python 2 subpackage renamed to python2-brial
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git capstone/capstone.spec capstone/capstone.spec.tmp
index e8887f1547..4be8ff3963 100644
--- capstone/capstone.spec
+++ capstone/capstone.spec.tmp
@@ -1,6 +1,6 @@
 Name:           capstone
 Version:        3.0.4
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        A lightweight multi-platform, multi-architecture disassembly framework
 
 %global         gituser         aquynh
@@ -42,11 +42,14 @@ Requires:       %{name}%{?_isa} = %{version}-%{release}
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-capstone
+%{?python_provide:%python_provide python2-capstone}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for %{name}
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description    python
+%description    -n python2-capstone
 The %{name}-python package contains python bindings for %{name}.
 
 %if 0%{?with_python3}
@@ -132,7 +135,7 @@ make check LD_LIBRARY_PATH="`pwd`"
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/*
 
-%files python
+%files -n python2-capstone
 %{python2_sitelib}/*egg-info
 %{python2_sitelib}/%{name}
 
@@ -146,6 +149,10 @@ make check LD_LIBRARY_PATH="`pwd`"
 %{_javadir}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.4-10
+- Python 2 subpackage renamed to python2-capstone
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git CheMPS2/CheMPS2.spec CheMPS2/CheMPS2.spec.tmp
index 4f792c6bed..dacc0a7e0d 100644
--- CheMPS2/CheMPS2.spec
+++ CheMPS2/CheMPS2.spec.tmp
@@ -1,6 +1,6 @@
 Name:           CheMPS2
 Version:        1.8.3
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A spin-adapted implementation of DMRG for ab initio quantum chemistry
 
 License:        GPLv2+
@@ -37,11 +37,15 @@ Requires:       cmake
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-chemps2
+%{?python_provide:%python_provide python2-chemps2}
+%{?python_provide:%python_provide python2-CheMPS2}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python bindings for %{name}
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
-%description    python
+%description    -n python2-chemps2
 The %{name}-python package contains the python interface for %{name}.
 
 %prep
@@ -90,11 +94,15 @@ done
 %{_includedir}/chemps2/
 %{_libdir}/libchemps2.so
 
-%files python
+%files -n python2-chemps2
 %{python2_sitearch}/CheMPS2-%{version}-py*.egg-info
 %{python2_sitearch}/PyCheMPS2.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.3-4
+- Python 2 subpackage renamed to python2-chemps2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git cjdns/cjdns.spec cjdns/cjdns.spec.tmp
index 094c43873e..e8055afa8e 100644
--- cjdns/cjdns.spec
+++ cjdns/cjdns.spec.tmp
@@ -47,7 +47,7 @@
 Name:           cjdns
 # major version is cjdns protocol version:
 Version:        19.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        The privacy-friendly network without borders
 Group:          System Environment/Base
 # cjdns is all GPLv3 except libuv which is MIT and BSD and ISC
@@ -159,13 +159,16 @@ cjdnslog           display cjdroute log
 cjdns-traceroute   trace route to cjdns IP
 sessionStats       show current crypto sessions
 
-%package python
+%package -n python2-cjdns
+%{?python_provide:%python_provide python2-cjdns}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python tools for cjdns
 Group: System Environment/Base
 Requires: python, %{name} = %{version}-%{release}
 BuildArch: noarch
 
-%description python
+%description -n python2-cjdns
 Python tools for cjdns.
 
 %package graph
@@ -486,7 +489,7 @@ fi
 %{_mandir}/man1/peerStats.1.gz
 %{_mandir}/man1/cjdnslog.1.gz
 
-%files python
+%files -n python2-cjdns
 %doc contrib/python/README.md contrib/python/cjdns-dynamic.conf
 %license contrib/python/cjdnsadmin/bencode.py.LICENSE.txt
 %dir %{_libexecdir}/cjdns/python
@@ -524,6 +527,10 @@ fi
 %{_bindir}/graphStats
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 19.1-6
+- Python 2 subpackage renamed to python2-cjdns
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 19.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git clearsilver/clearsilver.spec clearsilver/clearsilver.spec.tmp
index 74a9fb9d57..90d731eeae 100644
--- clearsilver/clearsilver.spec
+++ clearsilver/clearsilver.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           clearsilver
 Version:        0.10.5
-Release:        41%{?dist}
+Release:        42%{?dist}
 Summary:        Fast and powerful HTML templating system
 Group:          Development/Libraries
 # Technically, the license is "Neotonic ClearSilver", but it is a copy of 
@@ -40,13 +40,14 @@ Provides:	%{name}-static = %{version}-%{release}
 This package provides needed files to develop extensions
 to ClearSilver.
 
-%package     -n python-%{name}
+%package     -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python interface to the ClearSilver HTML templating system
 Group:          Development/Libraries
 BuildRequires:  python-devel >= 2.1
 Provides:       %{name}-python = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 %{summary}.
 
 %package     -n perl-%{name}
@@ -153,7 +154,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/ClearSilver/
 %{_libdir}/libneo_*.a
 
-%files -n python-clearsilver
+%files -n python2-%{name}
 %doc CS_LICENSE LICENSE
 %defattr(-,root,root,-)
 %doc README.python python/examples/
@@ -182,6 +183,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.5-42
+- Python 2 subpackage renamed to python2-clearsilver
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.5-41
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git cmusphinx3/cmusphinx3.spec cmusphinx3/cmusphinx3.spec.tmp
index 819ea06314..4cf5b76bd8 100644
--- cmusphinx3/cmusphinx3.spec
+++ cmusphinx3/cmusphinx3.spec.tmp
@@ -1,6 +1,6 @@
 Name:           cmusphinx3
 Version:        0.8
-Release:        27%{?dist}
+Release:        28%{?dist}
 Summary:        Large vocabulary speech recognition in C
 
 License:        BSD
@@ -67,12 +67,15 @@ Summary:        Shared libraries for cmusphinx3 executables
 %description libs
 Shared libraries for cmusphinx3 executables.
 
-%package python
+%package -n python2-cmusphinx3
+%{?python_provide:%python_provide python2-cmusphinx3}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python interface to cmusphinx3
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 Requires:       sphinxbase-python%{?_isa}
 
-%description python
+%description -n python2-cmusphinx3
 Python interface to cmusphinx3.
 
 %package models
@@ -174,7 +177,7 @@ rm -f doc/images/Makefile doc/s3/*.fig
 %license COPYING
 %{_libdir}/libs3decoder.so.*
 
-%files python
+%files -n python2-cmusphinx3
 %{python_sitearch}/Sphinx3*.egg-info
 %{python_sitearch}/_sphinx3.so
 
@@ -186,6 +189,10 @@ rm -f doc/images/Makefile doc/s3/*.fig
 %doc doc/*.txt doc/sphinx3.4.code.tracing doc/sphinx3.5_refactoring.note html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8-28
+- Python 2 subpackage renamed to python2-cmusphinx3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-27
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git condor/condor.spec condor/condor.spec.tmp
index b275e31abe..a61786958b 100644
--- condor/condor.spec
+++ condor/condor.spec.tmp
@@ -20,7 +20,7 @@
 #######################
 Name:           condor
 Version:        8.6.4
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Condor: High Throughput Computing
 License:        ASL 2.0
 Group:          Applications/System
@@ -284,12 +284,15 @@ CREAM server.
 %endif
 
 #######################
-%package python
+%package -n python2-condor
+%{?python_provide:%python_provide python2-condor}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for Condor.
 Group: Applications/System
 Requires: %name = %version-%release
 
-%description python
+%description -n python2-condor
 The python bindings allow one to directly invoke the C++ implementations of
 the ClassAd library and HTCondor from python
 
@@ -948,7 +951,7 @@ rm -rf %{buildroot}/etc/examples
 %endif
 
 #################
-%files python
+%files -n python2-condor
 %{python_sitearch}/classad.so
 %{python_sitearch}/htcondor.so
 %{_libdir}/libpyclassad2.7_%{srcver}.so
@@ -998,6 +1001,10 @@ rm -rf %{buildroot}/etc/examples
 /sbin/ldconfig
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 8.6.4-4
+- Python 2 subpackage renamed to python2-condor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8.6.4-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git cracklib/cracklib.spec cracklib/cracklib.spec.tmp
index 2ed2e83b83..d0fc60aaf6 100644
--- cracklib/cracklib.spec
+++ cracklib/cracklib.spec.tmp
@@ -5,7 +5,7 @@
 Summary: A password-checking library
 Name: cracklib
 Version: 2.9.6
-Release: 6%{?dist}
+Release: 7%{?dist}
 Group: System Environment/Libraries
 Source0: https://github.com/cracklib/cracklib/releases/download/cracklib-%{version}/cracklib-%{version}.tar.gz
 Source1: https://github.com/cracklib/cracklib/releases/download/cracklib-%{version}/cracklib-words-%{version}.gz
@@ -63,12 +63,15 @@ Requires: %{name} = %{version}-%{release}
 The cracklib-devel package contains the header files and libraries needed
 for compiling applications which use cracklib.
 
-%package python
+%package -n python2-cracklib
+%{?python_provide:%python_provide python2-cracklib}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for applications which use cracklib
 Group: Development/Libraries
 Requires: %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-cracklib
 The cracklib-python package contains a module which permits applications
 written in the Python programming language to use cracklib.
 
@@ -215,12 +218,16 @@ EOF
 %{_sbindir}/mkdict
 %{_sbindir}/packer
 
-%files python
+%files -n python2-cracklib
 %defattr(-,root,root)
 %{_libdir}/python*/site-packages/_cracklib*.so
 %{_libdir}/python*/site-packages/*.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.9.6-7
+- Python 2 subpackage renamed to python2-cracklib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.6-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git criu/criu.spec criu/criu.spec.tmp
index 56abe506cf..39349b60ee 100644
--- criu/criu.spec
+++ criu/criu.spec.tmp
@@ -1,6 +1,6 @@
 Name: criu
 Version: 3.3
-Release: 3%{?dist}
+Release: 4%{?dist}
 Provides: crtools = %{version}-%{release}
 Obsoletes: crtools <= 1.0-2
 Summary: Tool for Checkpoint/Restore in User-space
@@ -56,12 +56,13 @@ Requires: %{name} = %{version}-%{release}
 This package contains header files and libraries for %{name}.
 %endif
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Python bindings for %{name}
 Group: Development/Languages
 Requires: %{name} = %{version}-%{release} python-ipaddr protobuf-python
 
-%description -n python-%{name}
+%description -n python2-%{name}
 python-%{name} contains Python bindings for %{name}.
 
 %package -n crit
@@ -131,7 +132,7 @@ rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
 %{_libdir}/pkgconfig/*.pc
 %endif
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitelib}/pycriu/*
 %{python2_sitelib}/*egg-info
 
@@ -141,6 +142,10 @@ rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.3-4
+- Python 2 subpackage renamed to python2-criu
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git cryptominisat4/cryptominisat4.spec cryptominisat4/cryptominisat4.spec.tmp
index 81b5ff9b2e..6f184d6290 100644
--- cryptominisat4/cryptominisat4.spec
+++ cryptominisat4/cryptominisat4.spec.tmp
@@ -1,6 +1,6 @@
 Name:           cryptominisat4
 Version:        4.5.3
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        SAT solver
 
 License:        LGPLv2
@@ -49,11 +49,12 @@ Summary:        Cryptominisat library
 %description libs
 The %{name} library.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python interface to %{name}
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python interface to %{name}.
 
 %prep
@@ -120,12 +121,16 @@ chmod 0755 %{buildroot}%{python2_sitearch}/pycryptosat.so
 %license LICENSE-LGPL
 %{_libdir}/lib%{name}.so.*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %doc python/README.rst
 %license python/LICENSE
 %{python2_sitearch}/pycryptosat*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.5.3-11
+- Python 2 subpackage renamed to python2-cryptominisat4
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git cryptsetup/cryptsetup.spec cryptsetup/cryptsetup.spec.tmp
index 97a086d162..a93c8756ff 100644
--- cryptsetup/cryptsetup.spec
+++ cryptsetup/cryptsetup.spec.tmp
@@ -3,7 +3,7 @@
 Summary: A utility for setting up encrypted disks
 Name: cryptsetup
 Version: 1.7.5
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: GPLv2+ and LGPLv2+
 Group: Applications/System
 URL: https://gitlab.com/cryptsetup/cryptsetup
@@ -65,14 +65,16 @@ Requires: cryptsetup-libs = %{version}-%{release}
 This package contains cryptsetup-reencrypt utility which
 can be used for offline reencryption of disk in situ.
 
-%package python
+%package -n python2-cryptsetup
 Group: System Environment/Libraries
 Summary: Python bindings for libcryptsetup
 Requires: %{name}-libs = %{version}-%{release}
-Provides: python-cryptsetup = %{version}-%{release}
+%{?python_provide:%python_provide python2-cryptsetup}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Obsoletes: python-cryptsetup < 1.4.0
 
-%description python
+%description -n python2-cryptsetup
 This package provides Python bindings for libcryptsetup, a library
 for setting up disk encryption using dm-crypt kernel module.
 
@@ -151,7 +153,7 @@ popd
 %license COPYING COPYING.LGPL
 %{_libdir}/libcryptsetup.so.*
 
-%files python
+%files -n python2-cryptsetup
 %{!?_licensedir:%global license %%doc}
 %license COPYING.LGPL
 %doc python/pycryptsetup-test.py
@@ -168,6 +170,10 @@ popd
 %clean
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.5-3
+- Python 2 subpackage renamed to python2-cryptsetup
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git csound/csound.spec csound/csound.spec.tmp
index 582edfcb93..727ee133de 100644
--- csound/csound.spec
+++ csound/csound.spec.tmp
@@ -6,7 +6,7 @@
 Summary:       A sound synthesis language and library
 Name:          csound
 Version:       6.03.2
-Release:       14%{?dist}
+Release:       15%{?dist}
 URL:           http://csound.github.io/
 License:       LGPLv2+
 
@@ -81,12 +81,15 @@ Requires: %{name}%{?_isa} = %{version}-%{release}
 %description devel
 Contains headers and libraries for developing applications that use Csound.
 
-%package python
+%package -n python2-csound
+%{?python_provide:%python_provide python2-csound}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python Csound development files and libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 Requires: python
 
-%description python
+%description -n python2-csound
 Contains Python language bindings for developing Python applications that
 use Csound.
 
@@ -295,9 +298,9 @@ ln -s ../csound_prelex.c Engine/csound_prelex.c
 
 %postun -p /sbin/ldconfig
 
-%post python -p /sbin/ldconfig
+%post -n python2-csound -p /sbin/ldconfig
 
-%postun python -p /sbin/ldconfig
+%postun -n python2-csound -p /sbin/ldconfig
 
 %post csoundac -p /sbin/ldconfig
 
@@ -371,7 +374,7 @@ make csdtests
 %{_libdir}/lib%{name}64.so
 %{_libdir}/libcsnd6.so
 
-%files python
+%files -n python2-csound
 %{_libdir}/libcsnd6.so.6.0
 %{_libdir}/%{name}/plugins-6.0/libpy.so
 %{python_sitearch}/_csnd*
@@ -434,6 +437,10 @@ make csdtests
 %license manual6/copying.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.03.2-15
+- Python 2 subpackage renamed to python2-csound
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.03.2-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
